package Uebungen.Uebung1;

public class Sum {
    public static void main(String[] args){
        // Ganze Zahl, bis zu der summiert wird
        int boundary;
        // Summe der bisher addierten ganzen Zahlen
        int sum;
        // Ganze Zahl
        int counter;

        // Festlegen der Startwerte
        boundary = 10;
        sum = 0;
        counter = 1;




        for(int i = 0 ; i <= boundary;i++){
            System.out.print("-------- boundary set to ");
            System.out.print(i);
            System.out.print(" -------\n");
            // Berechnen der Summe sum über alle Zahlen von 1 bis boundary
            while(counter <= i){
                sum = sum + counter;
                counter = counter + 1;
            }
            System.out.print("Die Summe der Zahlen von 1 bis ");
            System.out.print(i);
            System.out.print(" ist ");
            System.out.print(sum);
            System.out.print("\n---------- fin ---------\n\n");
        }

    }
}
